<?php
include_once('../../../php/sessionStart.php');
include_once('../../../php/db/dbExec.php');
include_once('../../../php/functions.php');
include_once('../../../php/timezone.php');
include_once('../../../php/privileges.php');
include_once('../../../php/maxExecTime.php');

$bitForm = "cxp1050";
$bitMod = "cxp";
$empCod = $_SESSION['empCod'];
$usuCod = utf8_decode($_SESSION['usuCod']);
$usuNom = utf8_decode($_SESSION['usuNom']);

switch ($_POST['action']) {
	case 'consultar':
		echo consultar();
		break;

	case 'consultarCorr':
		echo consultarCorr();
		break;
	case 'consultarCorrPol':
		echo consultarCorrPol();
		break;
	case 'consultarCta':
		echo consultarCta();
		break;
		
	case 'mCerrado':
		echo mCerrado();
		break;

	case 'anugrabar':
		echo anugrabar();
		break;

	case 'anular':
		echo anular();
		break;

	case 'borrar':
		echo borrar();
		break;
}

function consultar() {
	global $empCod, $usuNom;

	$priv = new privileges();
	if (!$priv->consult($_SESSION['usuPriv'])) {
		return json_encode($priv->rErrorConsult());
	}

	$func = new functions();

	$tipoCod="004";
	$numNum=$_POST['numNum'];
	$selBanCod=$_POST['selBanCod'];

	# QUERYS
	$sCheques = "SELECT * FROM cheques WHERE ch_emp='$empCod' AND ch_ban='$selBanCod' AND ch_tipo='$tipoCod' AND ch_num='$numNum'";
	$sPoli_det = "SELECT *, TRIM(pold_cta) AS pold_cta FROM poli_det WHERE pold_emp='$empCod' AND pold_ban='$selBanCod' AND pold_tipo='$tipoCod' AND pold_num='$numNum'";

	# EJECUCION DE QUERYS
	$db = new dbExec();
	$resp = $db->sEx($sCheques, "cheques");
	$resp["poli_det"] = $db->sFetchAll($sPoli_det);
	$db->close();

	$func = new functions();
	//$resp["asdf"]=$sPoli_det;
	//return $func->jsonEncodeArrayEach($resp, array('cheques', 'poli_det'));
	return $func->jsonEncodeArray($resp, 'cheques');
}

function consultarCorr() {
	global $empCod, $usuNom;

	$func = new functions();
	$selBanCod=$_POST['selBanCod'];
	# QUERYS
	$sBancos = "SELECT ban_mon,ban_corr FROM bancos WHERE ban_emp='$empCod' AND ban_num='$selBanCod'";
	
	# EJECUCION DE QUERYS
	$db = new dbExec();
	$resp["bancos"] = $db->sFetchAssoc($sBancos);
	$db->close();

	$func = new functions();
	return $func->jsonEncodeArray($resp, "bancos");
}

function consultarCorrPol() {
	global $empCod, $usuNom;

	$func = new functions();
	$anuselTipo=$_POST['anuselTipo'];
	# QUERYS
	$sCorrpol = "SELECT cp_num FROM corrpol WHERE cp_emp='$empCod' AND cp_tipo='$anuselTipo'";
	
	# EJECUCION DE QUERYS
	$db = new dbExec();
	$resp["corrpol"] = $db->sFetchAssoc($sCorrpol);
	$db->close();

	$func = new functions();
	return $func->jsonEncodeArray($resp, "corrpol");
}

function mCerrado() {
	global $empCod, $usuNom;

	$func = new functions();
	$dtFec=$_POST['dtFec'];
	$nAnio=date("Y", strtotime($dtFec));
	$nMes=date("n", strtotime($dtFec));

	# QUERYS
	$sCiemes = "SELECT ciem_stat FROM ciemes WHERE ciem_emp='$empCod' AND ciem_ano=$nAnio AND ciem_mes=$nMes";
	# EJECUCION DE QUERYS
	$db = new dbExec();
	$resp["ciemes"] = $db->sfetchAssoc($sCiemes);
	$db->close();
	$func = new functions();
	return $func->jsonEncodeArray($resp, "ciemes");
}

function consultarCta() {
	global $empCod;
	$txtCod=utf8_decode($_POST['txtCod']);

	# QUERYS
	$sCuentas = "SELECT c.*, TRIM(cta) AS cta, TRIM(cta_nom) AS cta_nom
				FROM cuentas c WHERE cta='$txtCod' AND cta_emp='$empCod'";
	
	# EJECUCION DE QUERYS
	$db = new dbExec();
	$resp = $db->sEx($sCuentas, "cuentas");
	$db->close();

	$func = new functions();
	return $func->jsonEncodeArray($resp, "cuentas");
}


function borrar() {
	global $empCod, $usuNom, $bitMod, $bitForm, $selBanCod;

	$func = new functions();

	$numNum=$_POST['numNum'];
	$selTipoCod="004";
	$totant=$_POST['totant'];	
	$selBanCod=$_POST['selBanCod'];
	$dtFec=$_POST['dtFec'];
	$jsonPolAnt=json_decode($_POST['tblPolAnt']);
	$numAnio=date("Y", strtotime($dtFec));
	$numMes=date("n", strtotime($dtFec));
	$numAnioAnt=date("Y", strtotime($dtFec));
	$numMesAnt=date("n", strtotime($dtFec));

	# QUERYS
	$sMovic = "SELECT * FROM movic WHERE mov_emp='$empCod' AND mov_tipo='$selTipoCod' AND mov_ban='$selBanCod' AND mov_num='$numNum'";
	$dMovic = "DELETE FROM movic WHERE mov_emp='$empCod' AND mov_tipo='$selTipoCod' AND mov_ban='$selBanCod' AND mov_num='$numNum'";
	$uAnticp = "UPDATE anticp SET ant_stat='P', ant_tipo='', ant_ban=0, ant_ndoc=0 WHERE ant_emp='$empCod' AND ant_tipo='$selTipoCod' AND ant_ban='$selBanCod' AND ant_ndoc='$numNum'";

	$sSaldob = "SELECT * FROM saldob WHERE salb_emp='$empCod' AND salb_num='$selBanCod'";

	$dCheques = "DELETE FROM cheques WHERE ch_emp='$empCod' AND ch_ban='$selBanCod' AND ch_tipo='$selTipoCod' AND ch_num='$numNum'";

	$dMovAcu = "DELETE FROM mov_acu WHERE ma_emp='$empCod' AND ma_ban='$selBanCod' AND ma_tipo='$selTipoCod' AND ma_num='$numNum'";

	$dPolizas = "DELETE FROM polizas WHERE pol_emp='$empCod' AND  pol_ban='$selBanCod' AND pol_tipo='$selTipoCod' AND pol_num='$numNum'";

	$dPoli_det = "DELETE FROM poli_det WHERE pold_emp='$empCod' AND pold_ban='$selBanCod' AND pold_tipo='$selTipoCod' AND pold_num='$numNum'";

	function sDoctosc($seried, $codprov, $numd) { 
		global $empCod, $usuNom;
		return "SELECT dc_emp, dc_codp, dc_serie,dc_num, dc_abo FROM doctosc WHERE dc_emp='$empCod' AND dc_codp='$codprov' AND dc_serie='$seried' AND dc_num='$numd'";
	}
	function uDoctosc($seried, $codprov, $numd, $nvalorabo) { 
		global $empCod, $usuNom;
		return "UPDATE doctosc SET dc_abo=$nvalorabo WHERE dc_emp='$empCod' AND dc_codp='$codprov' AND dc_serie='$seried' AND dc_num='$numd'";
	}

	function sCuentas($cta) { 
		global $empCod;
		return "SELECT * FROM cuentas WHERE cta_emp='$empCod' AND cta='$cta'";
	}

	function sCierres($cta, $numAnio, $numMes) { 
		global $empCod;
		return "SELECT * FROM cierres WHERE cie_emp='$empCod' AND cie_ano=$numAnio AND cie_mes=$numMes AND cie_cta='$cta'";
	}

	function uCierres($cta, $numAnio, $numMes, $mdebe, $mhaber) { 
		global $empCod, $usuNom;
		return "UPDATE cierres SET cie_mdebe=$mdebe, cie_mhaber=$mhaber, cie_ulcam='$usuNom' WHERE cie_emp='$empCod' AND cie_ano=$numAnio AND cie_mes=$numMes AND cie_cta='$cta'";
	}

	function uSaldob($nvalor) { 
		global $empCod, $usuNom, $selBanCod;
		return "UPDATE saldob SET salb_saldo=$nvalor WHERE salb_emp='$empCod' AND salb_num='$selBanCod'";
	}

	function iSaldob($nvalor) { 
		global $empCod, $usuNom, $selBanCod;
		return "INSERT INTO saldob(salb_emp, salb_num, salb_saldo) VALUES('$empCod','$selBanCod',$nvalor)";
	}

	# EJECUCION DE QUERYS 
	$db = new dbExec();
	$resp = $db->dEx($dPolizas);
	$db->dEx($dCheques);
	$db->dEx($dMovAcu);
	$db->dEx($dPoli_det);

	// PARA REVERTIR LOS CIERRES
	foreach ($jsonPolAnt as $obj) {
		$cta = $obj->pold_cta;
		$numAnioAnt=date("Y", strtotime($obj->pold_fec));
		$numMesAnt=date("n", strtotime($obj->pold_fec));
		while (!empty($cta)) {
			$select["cuentas"] = $db->query(sCuentas($cta));
			$select["cierres"] = $db->query(sCierres($cta, $numAnioAnt, $numMesAnt));

			$fetchAssoc["cuentas"] = $db->fetchAssoc($select["cuentas"]);
			$ctaActa = trim($fetchAssoc["cuentas"]["cta_acta"]);

			$fetchAssoc["cierres"] = $db->fetchAssoc($select["cierres"]);
			$mdebe=$fetchAssoc["cierres"]["cie_mdebe"]-$obj->pold_debe;
			$mhaber=$fetchAssoc["cierres"]["cie_mhaber"]-$obj->pold_haber;

			$db->query(uCierres($cta, $numAnioAnt, $numMesAnt, $mdebe, $mhaber));

			$cta = $ctaActa;
		}
	}

	#Para Actualizar el saldo del banco
	$select["saldob"] = $db->query($sSaldob);
	if ($db->numRows($select["saldob"]) == 0) {
	} else {
		$fetchAssoc["saldob"] = $db->fetchAssoc($select["saldob"]);		
		$vSaldo = $fetchAssoc["saldob"]["salb_saldo"];
		$nvalor = ($vSaldo+$totant);
		$db->query(uSaldob($nvalor));
	}		

	# Corregir saldos y documentos de abono de C X P
	$select["movic"] = $db->query($sMovic);
    while ($rec = $db->fetchAssoc($select['movic'])) {
        $codprov = $rec["mov_codp"];
        $seried = $rec["mov_tipoc"];
        $numerod = $rec["mov_numc"];
        $abonod = $rec["mov_abo"];
		$select["doctosc"] = $db->query(sDoctosc($seried,$codprov,$numerod));
		if ($db->numRows($select["doctosc"]) > 0) {
			$fetchAssoc["doctosc"] = $db->fetchAssoc($select["doctosc"]);		
			$vAbono = $fetchAssoc["doctosc"]["dc_abo"];
			$nvalorabo = ($vAbono-$abonod);
			$db->query(uDoctosc($seried,$codprov,$numerod,$nvalorabo));
		}		
    }
	$db->query($dMovic);
	$db->query($uAnticp);
	//

	$db->iEx($func->iBitacora(utf8_decode("Se borró Cheque Desde CxP No.: $numNum Banco: $selBanCod Fecha: $dtFec Usuario: ").$usuNom, $bitMod, $bitForm));

	$db->close();

	return json_encode($resp);
}
function anular() {
	global $empCod, $usuNom, $bitMod, $bitForm, $selBanCod;

	$func = new functions();

	$numNum=$_POST['numNum'];
	$selTipoCod="004";
	$selBanCod=$_POST['selBanCod'];
	$totant=$_POST['totant'];	
	$dtFec=$_POST['dtFec'];
	$dtFecAnu=$_POST['dtFecAnu'];
	$jsonPolAnt=json_decode($_POST['tblPolAnt']);
	$numAnio=date("Y", strtotime($dtFec));
	$numMes=date("n", strtotime($dtFec));
	$numAnioAnt=date("Y", strtotime($dtFec));
	$numMesAnt=date("n", strtotime($dtFec));
	$numAnioAnu=date("Y", strtotime($dtFecAnu));
	$numMesAnu=date("n", strtotime($dtFecAnu));
	$Anulado="**** ANULADO ****";
	$txtConAnu=$_POST['txtConAnu'];	
	$valAnu=0.00;
	# QUERYS
	$sMovic = "SELECT * FROM movic WHERE mov_emp='$empCod' AND mov_tipo='$selTipoCod' AND mov_ban='$selBanCod' AND mov_num='$numNum'";
	$dMovic = "DELETE FROM movic WHERE mov_emp='$empCod' AND mov_tipo='$selTipoCod' AND mov_ban='$selBanCod' AND mov_num='$numNum'";
	$uAnticp = "UPDATE anticp SET ant_stat='P', ant_tipo='', ant_ban=0, ant_ndoc=0 WHERE ant_emp='$empCod' AND ant_tipo='$selTipoCod' AND ant_ban='$selBanCod' AND ant_ndoc='$numNum'";

	$sSaldob = "SELECT * FROM saldob WHERE salb_emp='$empCod' AND salb_num='$selBanCod'";

	$uCheques = "UPDATE cheques SET ch_tot=$valAnu, ch_bene='$Anulado', ch_con='$txtConAnu', ch_fecanu='$dtFecAnu', ch_anticp=0 WHERE ch_emp='$empCod' AND ch_ban='$selBanCod' AND ch_tipo='$selTipoCod' AND ch_num='$numNum'";

	$uMovAcu = "UPDATE mov_acu SET ma_debe=$valAnu, ma_haber=$valAnu, ma_bene='$Anulado', ma_con='$txtConAnu', ma_stat='A' WHERE ma_emp='$empCod' AND ma_ban='$selBanCod' AND ma_tipo='$selTipoCod' AND ma_num='$numNum'";

	$uPolizas = "UPDATE polizas SET pol_con='$txtConAnu' WHERE pol_emp='$empCod' AND pol_ban='$selBanCod' AND pol_tipo='$selTipoCod' AND pol_num='$numNum'";

	$uPoli_det = "UPDATE poli_det SET pold_debe=$valAnu, pold_haber=$valAnu WHERE pold_emp='$empCod' AND pold_ban='$selBanCod' AND pold_tipo='$selTipoCod' AND pold_num='$numNum'";

	function sDoctosc($seried, $codprov, $numd) { 
		global $empCod, $usuNom;
		return "SELECT dc_emp, dc_codp, dc_serie,dc_num, dc_abo FROM doctosc WHERE dc_emp='$empCod' AND dc_codp='$codprov' AND dc_serie='$seried' AND dc_num='$numd'";
	}
	function uDoctosc($seried, $codprov, $numd, $nvalorabo) { 
		global $empCod, $usuNom;
		return "UPDATE doctosc SET dc_abo=$nvalorabo WHERE dc_emp='$empCod' AND dc_codp='$codprov' AND dc_serie='$seried' AND dc_num='$numd'";
	}

	function sCuentas($cta) { 
		global $empCod;
		return "SELECT * FROM cuentas WHERE cta_emp='$empCod' AND cta='$cta'";
	}

	function sCierres($cta, $numAnio, $numMes) { 
		global $empCod;
		return "SELECT * FROM cierres WHERE cie_emp='$empCod' AND cie_ano=$numAnio AND cie_mes=$numMes AND cie_cta='$cta'";
	}

	function uCierres($cta, $numAnio, $numMes, $mdebe, $mhaber) { 
		global $empCod, $usuNom;
		return "UPDATE cierres SET cie_mdebe=$mdebe, cie_mhaber=$mhaber, cie_ulcam='$usuNom' WHERE cie_emp='$empCod' AND cie_ano=$numAnio AND cie_mes=$numMes AND cie_cta='$cta'";
	}

	function uSaldob($nvalor) { 
		global $empCod, $usuNom, $selBanCod;
		return "UPDATE saldob SET salb_saldo=$nvalor WHERE salb_emp='$empCod' AND salb_num='$selBanCod'";
	}

	function iSaldob($nvalor) { 
		global $empCod, $usuNom, $selBanCod;
		return "INSERT INTO saldob(salb_emp, salb_num, salb_saldo) VALUES('$empCod','$selBanCod',$nvalor)";
	}

	# EJECUCION DE QUERYS 
	$db = new dbExec();
	$resp = $db->uEx($uCheques);
	$db->uEx($uMovAcu);
    
	// PARA ANULAR PARTIDA Y REVERTIR CIERRES SOLO SI ES EL MISMO MES DE LA ANULACION
	if ($numAnio == $numAnioAnu && $numMes == $numMesAnu) { 
		$resp = $db->anEx($uPolizas);
		$db->uEx($uPoli_det);
		// PARA REVERTIR LOS CIERRES
		foreach ($jsonPolAnt as $obj) {
			$cta = $obj->pold_cta;
			$numAnioAnt=date("Y", strtotime($obj->pold_fec));
			$numMesAnt=date("n", strtotime($obj->pold_fec));
			while (!empty($cta)) {
				$select["cuentas"] = $db->query(sCuentas($cta));
				$select["cierres"] = $db->query(sCierres($cta, $numAnioAnt, $numMesAnt));

				$fetchAssoc["cuentas"] = $db->fetchAssoc($select["cuentas"]);
				$ctaActa = trim($fetchAssoc["cuentas"]["cta_acta"]);

				$fetchAssoc["cierres"] = $db->fetchAssoc($select["cierres"]);
				$mdebe=$fetchAssoc["cierres"]["cie_mdebe"]-$obj->pold_debe;
				$mhaber=$fetchAssoc["cierres"]["cie_mhaber"]-$obj->pold_haber;

				$db->query(uCierres($cta, $numAnioAnt, $numMesAnt, $mdebe, $mhaber));

				$cta = $ctaActa;
			}
		}
		$resp['otromes']=false;
	} else {
		$resp['otromes']=true;	
	}

	#Para Actualizar el saldo del banco
	$select["saldob"] = $db->query($sSaldob);
	if ($db->numRows($select["saldob"]) == 0) {
	} else {
		$fetchAssoc["saldob"] = $db->fetchAssoc($select["saldob"]);		
		$vSaldo = $fetchAssoc["saldob"]["salb_saldo"];
		$nvalor = ($vSaldo+$totant);
		$db->query(uSaldob($nvalor));
	}

	# Corregir saldos y documentos de abono de C X P
	$select["movic"] = $db->query($sMovic);
    while ($rec = $db->fetchAssoc($select['movic'])) {
        $codprov = $rec["mov_codp"];
        $seried = $rec["mov_tipoc"];
        $numerod = $rec["mov_numc"];
        $abonod = $rec["mov_abo"];
		$select["doctosc"] = $db->query(sDoctosc($seried,$codprov,$numerod));
		if ($db->numRows($select["doctosc"]) > 0) {
			$fetchAssoc["doctosc"] = $db->fetchAssoc($select["doctosc"]);		
			$vAbono = $fetchAssoc["doctosc"]["dc_abo"];
			$nvalorabo = ($vAbono-$abonod);
			$db->query(uDoctosc($seried,$codprov,$numerod,$nvalorabo));
		}		
    }
	$db->query($dMovic);
	$db->query($uAnticp);

	//
	$db->iEx($func->iBitacora(utf8_decode("Se Anulo Cheque Desde  CxP No.: $numNum Banco: $selBanCod Fecha Anulacion: $dtFecAnu Usuario: ").$usuNom, $bitMod, $bitForm));

	$db->close();

	return json_encode($resp);
}

function anugrabar() {
	global $empCod, $usuNom, $bitMod, $bitForm;

	$priv = new privileges();
	if (!$priv->modify($_SESSION['usuPriv'])) {
		return json_encode($priv->rErrorModify());
	}

	$func = new functions();

	$anunumNum=$_POST['anunumNum'];
	$anuselTipoCod=$_POST['anuselTipoCod'];
	$anuselBanCod=$_POST['anuselBanCod'];
	$anudtFec=$_POST['anudtFec'];
	$anutxtCon=utf8_decode($_POST['anutxtCon']);
	$jsonanuPol=json_decode($_POST['anutblPol']);
	$anunumAnio=date("Y", strtotime($anudtFec));
	$anunumMes=date("n", strtotime($anudtFec));
	$anudtGrabado=date("Y-m-d H:i:s", STRTOTIME(date('h:i:sa')));

	# QUERYS PARA UN REGISTRO
	$iPolizas = "INSERT INTO polizas(pol_emp, pol_fec, pol_ban, pol_tipo, pol_num, pol_con, pol_ulcam, pol_grabado) VALUES ('$empCod','$anudtFec','$anuselBanCod','$anuselTipoCod','$anunumNum','$anutxtCon','$usuNom','$anudtGrabado')";

	$sPolizas = "SELECT pol_emp,pol_tipo,pol_ban,pol_num,pol_fec FROM polizas WHERE pol_emp='$empCod' AND pol_fec='$anudtFec' AND pol_ban='$anuselBanCod' AND pol_tipo='$anuselTipoCod' AND pol_num='$anunumNum'";

	function sCuentas($cta) { 
		global $empCod;
		return "SELECT * FROM cuentas WHERE cta_emp='$empCod' AND cta='$cta'";
	}

	function sCierres($cta, $anunumAnio, $anunumMes) { 
		global $empCod;
		return "SELECT * FROM cierres WHERE cie_emp='$empCod' AND cie_ano=$anunumAnio AND cie_mes=$anunumMes AND cie_cta='$cta'";
	}

	function uCierres($cta, $anunumAnio, $anunumMes, $mdebe, $mhaber) { 
		global $empCod, $usuNom;
		return "UPDATE cierres SET cie_mdebe=$mdebe, cie_mhaber=$mhaber, cie_ulcam='$usuNom' WHERE cie_emp='$empCod' AND cie_ano=$anunumAnio AND cie_mes=$anunumMes AND cie_cta='$cta'";
	}

	function iCierres($cta, $anunumAnio, $anunumMes, $mdebe, $mhaber) { 
		global $empCod, $usuNom;
		return "INSERT INTO cierres(cie_emp, cie_ano, cie_mes, cie_cta, cie_mdebe, cie_mhaber, cie_ulcam) VALUES('$empCod',$anunumAnio,$anunumMes,'$cta',$mdebe,$mhaber,'$usuNom')";	    
	}

	# QUERYS PARA VARIOS REGISTROS
	$iPoli_det = "INSERT INTO poli_det (pold_emp, pold_fec, pold_ban, pold_tipo, pold_num, pold_cta, pold_ctan, pold_debe, pold_haber) VALUES ";
	foreach ($jsonanuPol as $obj) {
		$obj->cta = utf8_decode($obj->cta);
		$obj->ctaNom = utf8_decode($obj->ctaNom);
		$iPoli_det = $iPoli_det."('$empCod','$anudtFec','$anuselBanCod','$anuselTipoCod','$anunumNum','$obj->cta','$obj->ctaNom','$obj->debe','$obj->haber')".$func->addValues($obj, $jsonanuPol);
	} 

	$dPoli_det = "DELETE FROM poli_det WHERE pold_emp='$empCod' AND pold_fec='$anudtFec' AND pold_ban='$anuselBanCod' AND pold_tipo='$anuselTipoCod' AND pold_num='$anunumNum'";

	# EJECUCION DE QUERYS 
	$db = new dbExec();

    # Para poner avisos, si la variable error es verdadero lo mostrara.
	$resp['msgWarning'] = array(
		'error'=>false,
	);

	// Verifica si ya fue grabada la poliza
	$select["polizas"] = $db->query($sPolizas);
	if ($db->numRows($select["polizas"]) == 0) {
		$resp = $db->iEx($iPolizas);
		$db->iEx($func->iBitacora(utf8_decode("Se creó póliza No.: $anunumNum Tipo: $anuselTipoCod Banco: $anuselBanCod Fecha: $anudtFec Usuario: ").$usuNom, $bitMod, $bitForm));

		$db->dEx($dPoli_det);
		if (!$func->jsonEmpty($jsonanuPol)) {
			$db->iEx($iPoli_det);
		}

		/* // PARA REVERTIR LOS CIERRES
		foreach ($jsonanuPol as $obj) {
			$cta = $obj->pold_cta;
			while (!empty($cta)) {
				$select["cuentas"] = $db->query(sCuentas($cta));
				$select["cierres"] = $db->query(sCierres($cta, $numAnio, $numMes));

				$fetchAssoc["cuentas"] = $db->fetchAssoc($select["cuentas"]);
				$ctaActa = trim($fetchAssoc["cuentas"]["cta_acta"]);

				$fetchAssoc["cierres"] = $db->fetchAssoc($select["cierres"]);
				$mdebe=$fetchAssoc["cierres"]["cie_mdebe"]-$obj->pold_debe;
				$mhaber=$fetchAssoc["cierres"]["cie_mhaber"]-$obj->pold_haber;

				$db->query(uCierres($cta, $numAnio, $numMes, $mdebe, $mhaber));

				$cta = $ctaActa;
			}
		} */

		// PARA APLICAR LOS CIERRES
		foreach ($jsonanuPol as $obj) {
			$cta = $obj->cta;
			while (!empty($cta)) {
				$select["cuentas"] = $db->query(sCuentas($cta));
				$select["cierres"] = $db->query(sCierres($cta, $anunumAnio, $anunumMes));

				$fetchAssoc["cuentas"] = $db->fetchAssoc($select["cuentas"]);
				$ctaActa = trim($fetchAssoc["cuentas"]["cta_acta"]);

				if ($db->numRows($select["cierres"]) > 0) {
					$fetchAssoc["cierres"] = $db->fetchAssoc($select["cierres"]);
					$mdebe=$fetchAssoc["cierres"]["cie_mdebe"]+$obj->debe;
					$mhaber=$fetchAssoc["cierres"]["cie_mhaber"]+$obj->haber;

					$db->query(uCierres($cta, $anunumAnio, $anunumMes, $mdebe, $mhaber));
				} else {
					$mdebe=$obj->debe;
					$mhaber=$obj->haber;

					$db->query(iCierres($cta, $anunumAnio, $anunumMes, $mdebe, $mhaber));
				}
				$cta = $ctaActa;
			}
		} 
		$resp['msgWarning'] = array(
		'error'=>true,
		'msg'=>array(
			'title'=>'POLIZA REGISTRADA',
			'text'=>'Se registro la poliza que revierte la partida del cheque, por ser de otro mes'
			),
		); 
	} else {
		$resp['msgWarning'] = array(
		'error'=>true,
		'msg'=>array(
			'title'=>'POLIZA YA EXISTE',
			'text'=>'La poliza que quiere registrar ya esta grabada, intente con otro numero'
			),
		); 
	}

	$db->close();
	return json_encode($resp);
}

?>